#ifndef _DB_H
#define _DB_H

#include <time.h>
#include "config.h"

struct DB_STR {
	char *filename;

	char **tags;
	size_t size;

	char *desc;

	time_t birthtime;

	struct DB_STR *next;
};

void free_db(struct DB_STR *db);
struct DB_STR *new_db_value(const struct CONFIG cfg, char *str);
struct DB_STR *read_db(const struct CONFIG cfg);

#endif
